// StrategySpace.h: interface for the CStrategySpace class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_STRATEGYSPACE_H__FAE8C24C_7AF7_4E6A_B603_72E2A4E844A4__INCLUDED_)
#define AFX_STRATEGYSPACE_H__FAE8C24C_7AF7_4E6A_B603_72E2A4E844A4__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CBitArray;


class CStrategySpace  
{
public:
	const int points(int index);
	void points_update(int mu, int win);
	const int pred(int index, int mu);
	const int ssize();
	CStrategySpace(int m, int T, char type);
	virtual ~CStrategySpace();

private:
	CBitArray** m_SSpace;
	CBitArray** m_Points;
	int* m_iPoints;
	int m_iSindex;

protected:
	void rss();
	void fss();

	int m_iQ;
	int m_iP;
	int m_iM;
	int m_iT;
};

#endif // !defined(AFX_STRATEGYSPACE_H__FAE8C24C_7AF7_4E6A_B603_72E2A4E844A4__INCLUDED_)
