static int rtl_par_ioctl(struct rtl_file *filp,
			 unsigned int request,
			 unsigned long l)
{
	switch ( request )
	{
	case RTL_PAR_SETBIT:
		out_byte |= 1<<l;
		break;
	case RTL_PAR_CLEARBIT:
		out_byte &= ~(1<<l);
		break;
	default:
		return -EINVAL;
	}

	outb( out_byte, PORT );

	return 0;
}
