unsigned long pulse_length[2];

int fifo_handler(unsigned int fifo)
{
	int position = -1, err;
	char msg[16];
	char *junk;
	
	/* read "position" from 0-180 degrees */
	while ( (err = read(fd[fifo-SERVO_FIFO], msg,
			    sizeof(msg) )) != 0 )
		position = simple_strtoul(msg, &junk, 10);

	/* stay within the range of the motor */
	if ( (position < 0) || (position > 180) )
		return -1;
	
	/* compute pulse width */
	pulse_length[fifo-SERVO_FIFO] =
		1000000 /* 1ms */ +
		((1000000 * position)/180);
	
	return 0;
}
