VERSION 5.00
Begin VB.Form Form1 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "SiEDataPointsTestit in VB6"
   ClientHeight    =   8040
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   5910
   Icon            =   "Form1.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   8040
   ScaleWidth      =   5910
   StartUpPosition =   2  'CenterScreen
   Begin VB.Frame Frame1 
      Caption         =   "SiEDataPoints Implementation"
      Height          =   975
      Left            =   120
      TabIndex        =   14
      Top             =   120
      Width           =   5655
      Begin VB.OptionButton optValueImpl 
         Caption         =   "C# Value"
         Height          =   375
         Left            =   3960
         TabIndex        =   17
         Top             =   360
         Width           =   1215
      End
      Begin VB.OptionButton optReferenceImpl 
         Caption         =   "C# Reference"
         Height          =   375
         Left            =   2160
         TabIndex        =   16
         Top             =   360
         Width           =   1575
      End
      Begin VB.OptionButton optUnmanaged 
         Caption         =   "Unmanaged C++"
         Height          =   375
         Left            =   360
         TabIndex        =   15
         Top             =   360
         Value           =   -1  'True
         Width           =   1575
      End
   End
   Begin VB.TextBox txtArrayIndex 
      Height          =   285
      Left            =   120
      TabIndex        =   13
      Text            =   "123"
      Top             =   2160
      Width           =   2175
   End
   Begin VB.TextBox txtArraySize 
      Height          =   285
      Left            =   120
      TabIndex        =   11
      Text            =   "400"
      Top             =   1560
      Width           =   2175
   End
   Begin VB.CommandButton cmdSort 
      Caption         =   "Sort"
      Height          =   495
      Left            =   3480
      TabIndex        =   9
      Top             =   1440
      Width           =   975
   End
   Begin VB.CommandButton cmdLookup 
      Caption         =   "Lookup"
      Height          =   495
      Left            =   2400
      TabIndex        =   8
      Top             =   2040
      Width           =   975
   End
   Begin VB.CommandButton cmdFind 
      Caption         =   "Find"
      Height          =   495
      Left            =   2400
      TabIndex        =   6
      Top             =   2640
      Width           =   975
   End
   Begin VB.TextBox txtPtAlias 
      Height          =   285
      Left            =   120
      TabIndex        =   5
      Text            =   "Meter123"
      Top             =   2760
      Width           =   2175
   End
   Begin VB.ListBox List1 
      Height          =   4545
      Left            =   120
      TabIndex        =   2
      Top             =   3240
      Width           =   5655
   End
   Begin VB.CommandButton cmdExit 
      Cancel          =   -1  'True
      Caption         =   "Exit"
      Height          =   495
      Left            =   4800
      TabIndex        =   1
      Top             =   2640
      Width           =   975
   End
   Begin VB.CommandButton cmdBuild 
      Caption         =   "Build"
      Height          =   495
      Left            =   2400
      TabIndex        =   0
      Top             =   1440
      Width           =   975
   End
   Begin VB.Label Label3 
      Caption         =   "Array Index:"
      Height          =   255
      Left            =   120
      TabIndex        =   12
      Top             =   1920
      Width           =   975
   End
   Begin VB.Label Label2 
      Caption         =   "# Array Elements:"
      Height          =   255
      Left            =   120
      TabIndex        =   10
      Top             =   1320
      Width           =   1335
   End
   Begin VB.Label Label1 
      Caption         =   "Point Alias to Find:"
      Height          =   255
      Left            =   120
      TabIndex        =   7
      Top             =   2520
      Width           =   1395
   End
   Begin VB.Label lblSiliconEnergy 
      Caption         =   "Copyright (c) 2002 Silicon Energy"
      ForeColor       =   &H00808080&
      Height          =   255
      Left            =   0
      TabIndex        =   4
      Top             =   7800
      Width           =   2535
   End
   Begin VB.Label lblVersion 
      Alignment       =   1  'Right Justify
      Caption         =   "Version X.X.X"
      ForeColor       =   &H00808080&
      Height          =   255
      Left            =   4320
      TabIndex        =   3
      Top             =   7800
      Width           =   1575
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Option Compare Text

Private coll As SiEDataPointInterfacesLib.IDataPoints


Private Sub cmdBuild_Click()
On Error GoTo BooBoo
    Dim i As Long

    Set coll = Nothing
    Dim sProgID As String
    If optUnmanaged.Value = True Then
        sProgID = "SiEDataPoints_Unmanaged.DataPoints"
    ElseIf optReferenceImpl.Value = True Then
        sProgID = "SiEDataPoints_Managed.Reference.DataPoints"
    Else
        sProgID = "SiEDataPoints_Managed.Value.DataPoints"
    End If
    
    Set coll = CreateObject(sProgID)
    
    Dim lArraySize As Long
    lArraySize = CLng(txtArraySize.Text)
    
    Msg "Redim Points array for " & CStr(lArraySize) & " records ...."
    StartTimer
    coll.Capacity = lArraySize

    Msg "Done in " & StopTimer & " second(s)"
    Msg

    Msg "Building Points array ...."
    StartTimer
    Randomize

    Dim pt As SiEDataPointInterfacesLib.IDataPoint
    If optUnmanaged.Value = True Then
        sProgID = "SiEDataPoints_Unmanaged.DataPoint"
    Else
        ' Both value and reference impl's must create the reference
        ' impl of DataPoint
        sProgID = "SiEDataPoints_Managed.Reference.DataPoint"
    End If
    
    For i = 0 To lArraySize - 1
        If (lArraySize > 10) Then
            If (i Mod (lArraySize / 10) = 0) Then Msg CStr(i)
        End If
        
        Set pt = Nothing
        Set pt = CreateObject(sProgID)
        
        pt.ID = i
        pt.Name = "Meter" & CStr(CLng((lArraySize * Rnd) + 1))
        pt.Channel = (i Mod 5) + 1
        
        coll.Add pt
    Next i

    Msg "Done in " & StopTimer & " second(s)"
    Msg

    Exit Sub
BooBoo:
    MsgBox Err.Description, , "  Error 0x" & Hex(Err.Number)
    Err.Clear
End Sub  ' cmdGo_Click



Private Sub cmdFind_Click()
On Error GoTo BooBoo
    Dim i As Long

    Msg "Looking for Point Alias " & txtPtAlias.Text
    StartTimer

    Dim pts As SiEDataPointInterfacesLib.IDataPoints
    Set pts = coll.FindPoints(txtPtAlias.Text, 0)
    
    Msg "Done in " & StopTimer & " second(s)"
    Msg

    If pts Is Nothing Then
        Msg "Point " & txtPtAlias.Text & " was not found."
        Msg
        Exit Sub
    End If
    
    Dim ct As Long
    ct = pts.Count
    
    Msg "Parsing results.."
    StartTimer
    
    Dim pt As SiEDataPointInterfacesLib.IDataPoint
    For i = 0 To ct - 1
        Msg "Point " & i + 1 & " of " & ct
        Set pt = pts(i)
        Msg "PointID " & pt.ID
        Msg "PtAlias " & pt.Name
        Msg "Channel " & pt.Channel
        Msg
    Next i
    
    Msg "Done in " & StopTimer & " second(s)"
    Msg
    
    Exit Sub
BooBoo:
    MsgBox Err.Description, , "  Error 0x" & Hex(Err.Number)
    Err.Clear
End Sub  ' cmdFind_Click


Private Sub Msg(Optional ByRef s As String = vbNullString)
On Error GoTo BooBoo
    If (List1.ListCount > 32500) Then List1.Clear
    List1.AddItem s
    List1.ListIndex = (List1.ListCount - 1)

    Exit Sub
BooBoo:
    Err.Clear
End Sub  ' Msg


Private Sub cmdExit_Click()
On Error GoTo 0
    Unload Me
End Sub  ' cmdExit_Click


Private Sub cmdLookup_Click()
On Error GoTo BooBoo

    Dim index As Long
    index = Val(txtArrayIndex.Text)
    If index < 0 Or index > Val(txtArraySize.Text) Then
        MsgBox "Please enter a number between 0 and " & txtArraySize.Text
        Exit Sub
    End If
    
    Dim pt As SiEDataPointInterfacesLib.IDataPoint
    Set pt = coll(index)
    
    Msg "Point at index " & index
    Msg "Point ID = " & pt.ID
    Msg "Channel = " & pt.Channel
    Msg "Alias = " & pt.Name
    Msg
    
    txtPtAlias.Text = pt.Name
    txtArrayIndex.Text = CStr(index + 1)
    Exit Sub
BooBoo:
    MsgBox Err.Description, , " Error 0x" & Hex(Err.Number)
    Err.Clear
End Sub

Private Sub cmdSort_Click()
On Error GoTo BooBoo

    Msg "Sorting array.."
    StartTimer

    coll.Sort
    
    Msg "Done in " & StopTimer & " second(s)"
    Msg

    Exit Sub
BooBoo:
    MsgBox Err.Description, , "  Error 0x" & Hex(Err.Number)
    Err.Clear
End Sub

Private Sub Form_Load()
On Error GoTo BooBoo
    lblVersion.Caption = "Version " & App.Major & "." & App.Minor & "." & App.Revision
    Exit Sub
BooBoo:
    MsgBox Err.Description, , "  Error 0x" & Hex(Err.Number)
    Err.Clear
End Sub  ' Form_Load


Private Sub Form_Unload(Cancel As Integer)
On Error GoTo BooBoo
    End
    Exit Sub
BooBoo:
    MsgBox Err.Description, , "  Error 0x" & Hex(Err.Number)
    Err.Clear
End Sub  ' Form_Unload



