#define PORT 0x378

char out_byte;

static ssize_t rtl_par_read(struct rtl_file *filp,
			    char *buf, size_t count,
			    off_t* ppos)
{
	if ( count < sizeof(char) )
		return -1;

	buf[0] = inb( PORT );
	
	return 0;
}

static ssize_t rtl_par_write(struct rtl_file *filp,
			     const char *buf,
			     size_t count, off_t* ppos)
{
	int i;
	
	for ( i = 0; i < count; i++ )
	{
		out_byte = buf[i];
		outb( out_byte, PORT );
	}
	
	return 0;
}
